# Class OpenSSLImplementation

java.lang.Object
org.apache.tomcat.util.net.SSLImplementation
org.apache.tomcat.util.net.openssl.OpenSSLImplementation

public class OpenSSLImplementation extends SSLImplementation

## Constructor Summary

Constructors
Constructor
Description
`OpenSSLImplementation()`

## Method Summary

Modifier and Type
Method
Description
`SSLSupport`
`getSSLSupport(SSLSession session, Map<String, List<String>> additionalAttributes)`
Obtain an instance of SSLSupport.
`SSLUtil`
`getSSLUtil(SSLHostConfigCertificate certificate)`

### Methods inherited from class SSLImplementation

`getInstance`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenSSLImplementation

public OpenSSLImplementation()

## Method Details

### getSSLSupport

public SSLSupport getSSLSupport(SSLSession session, Map<String, List<String>> additionalAttributes)
Description copied from class: `SSLImplementation`
Obtain an instance of SSLSupport.

Specified by:
  `getSSLSupport` in class `SSLImplementation`
Parameters:
  `session` - The SSL session
  `additionalAttributes` - Additional SSL attributes that are not available from the session.
Returns:
  An instance of SSLSupport based on the given session and the provided additional attributes

### getSSLUtil

public SSLUtil getSSLUtil(SSLHostConfigCertificate certificate)

Specified by:
  `getSSLUtil` in class `SSLImplementation`